#include<bits/stdc++.h>
using namespace std;
#define max 100000
int main()
{
    ifstream fi("sump.inp");
    ofstream fo("sump.out");
    vector<bool> snt(max+1,true);
    vector<int> p(max+1,0);
    int i,j;
    snt[0]=snt[1]=false;
    for(i=2;i<=max;i++)
    {
        if(snt[i])
        {
            for(j=i*2;j<=max;j+=i)
            {
                snt[j]=false;
            }
        }
    }
    j=0;
    for(i=2;i<max;i++)
    {
        if(snt[i])
        {
            j++;
            p[j]=i;
        }
    }
    int n;
    fi>>n;
    for(int k=1;k<=n;k++)
    {
        int r=0;
        int a,b;
        fi>>a>>b;
        for(int m=1;m<=j;m++)
        {
            if(p[m]>=a && p[m]<=b)
            {
                r+=p[m];
            }
            if(p[m]>b)
            {
                break;
            }
        }
        fo<<r<<'\n';
    }
}
